[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: nvidia legacy driver//kernel 2.6.32 issues

Francesco Pietra wrote:
Following "apt-get dist-upgrade" with debian squeeze i386, upgrading
from kernel 2.6.30 to 2.6.32, the xserver was broken at "startx"
because kernel compiled with gcc 4.3 while now gcc 4.4. I could only
boot from previous 2.6.30 to have the xserver at startx.


export CC=/usr/bin/gcc-4.3

I reinstalled the nvidia driver "NVIDIA-Linux-x86-96.43.16-pk1.run"
for my "GeForce2 MX200 (rev b2)", the driver installed correctly and
was reconfigured correctly according to the nvidia installer messages,
though, again, it works for 2.6.30, not for 2.6.32. Please see below
the relevant portion of /var/log/Xorg.0.log:

This may not be the answer desired, but I found it easier to upgrade the hardware to
Model: "nVidia GeForce 6200 (0x0221)"
and then be able to use the latest driver:

The 6200 comes with a PCI interface and an AGP one for older mobo's.


Reply to: